Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.eventstore
Class NoSuitableProviderException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.wlevs.eventstore.EventStoreException
                        |
                        +--com.bea.wlevs.eventstore.NoSuitableProviderException

public class NoSuitableProviderException
extends EventStoreException

Exception raised if an invalid policy argument is specified.

See Also:
  Serialized Form

Constructor Summary
`NoSuitableProviderException()` Creates an exception with no message or cause.
`NoSuitableProviderException(java.lang.String message)` Creates an exception having the specified message.
`NoSuitableProviderException(java.lang.String message, java.lang.Throwable cause)` Creates an exception having the specified message and cause.
`NoSuitableProviderException(java.lang.Throwable cause)` Creates an exception having the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuitableProviderException

    public NoSuitableProviderException()

  Creates an exception with no message or cause.

### NoSuitableProviderException

    public NoSuitableProviderException(java.lang.Throwable cause)

  Creates an exception having the specified cause.

### NoSuitableProviderException

    public NoSuitableProviderException(java.lang.String message)

  Creates an exception having the specified message.

### NoSuitableProviderException

    public NoSuitableProviderException(java.lang.String message,
                                       java.lang.Throwable cause)

  Creates an exception having the specified message and cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.